﻿/* Copyright (c) 2011-2012, Zetatron Consulting
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

* Neither the name of Zetatron Consulting nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WorldServer.Data
{
    public class CharacterBaseStats
    {
        public static float[][] Stats = new float[][] {
            // Pattern :
            // Attack|Health|Agility|Accuracy|Knowledge|Will|AtkSpeed|Dodge-Block-Parry|MHAttack|MHAccuracy|MHCritical|MagicalAccuracy

            // Warrior
            new float[] {
                110, 110, 100, 100, 90, 90, 74, 19, 198, 2, 14
            },
            // Gladiator
            new float[] {
                115, 115, 100, 100, 90, 90, 173, 19, 262, 2, 128
            },
            // Templar
            new float[] {
                115, 100, 100, 100, 90, 105, 173, 19, 262, 2, 128
            },
            // Scout
            new float[] {
                100, 100, 110, 110, 90, 90, 105, 18, 218, 3, 14
            },
            // Assassin
            new float[] {
                110, 100, 110, 110, 90, 90, 204, 19, 282, 3, 128
            },
            // Ranger
            new float[] {
                100, 100, 115, 115, 90, 90, 220, 18, 292, 3, 128
            },
            // Mage
            new float[] {
                90, 90, 95, 95, 115, 115, 58, 16, 188, 1, 14
            },
            // Sorcerer
            new float[] {
                90, 90, 100, 100, 120, 110, 173, 16, 262, 2, 128
            },
            // Spiritmaster
            new float[] {
                90, 90, 100, 100, 115, 115, 173, 16, 262, 2, 128
            },
            // Priest
            new float[] {
                95, 95, 100, 100, 100, 110, 74, 17, 198, 2, 14
            },
            // Cleric
            new float[] {
                110, 110, 90, 90, 105, 110, 142, 18, 242, 1, 128
            },
            // Chanter
            new float[] {
                110, 105, 90, 90, 105, 110, 142, 19, 282, 3, 128
            }
        };
    }
}
